> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/contact/get-contact-note-list.md).

# Get Contact Note List

## Get Contact Note List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=getContactNoteList`

Fetches a list of notes for a specific contact.

#### Path Parameters

| Name      | Type    | Description                                                                                                       |
| --------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| contactId | integer | The unique identifier of the contact to which the contact notes belong                                            |
| perPage   | integer | The number of contact notes to fetch                                                                              |
| start     | integer | The starting result of the page. Note this is zero based (i.e. sending start=0 will start from the first result.) |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 10,
        "start": 0,
        "perPage": 50,
        "count": 3
    },
    "results": [
        {
            "id": 2,
            "contactId": 4,
            "noteText": "<p>Contact Note 1</p>\n",
            "createdByUserId": 1,
            "createdDate": "2022-06-12 06:06:03 UTC",
            "modifiedDate": "2022-07-13 01:32:10"
        },
        {
            "id": 4,
            "contactId": 4,
            "noteText": "<p>Contact Note 2</p>\n",
            "createdByUserId": 1,
            "createdDate": "2022-07-13 01:27:27 UTC",
            "modifiedDate": "2022-07-13 01:27:27"
        },
        {
            "id": 5,
            "contactId": 4,
            "noteText": "<p>Contact Note 3</p>\n",
            "createdByUserId": 1,
            "createdDate": "2022-07-13 01:29:41 UTC",
            "modifiedDate": "2022-07-13 01:29:41"
        },
    ]
}

```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of contact note to which the user has access. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Example Request

`Fetches a list of Notes for a specific Contact`

```javascript
{
    "contactId" : 4,
    "perPage" : 50
}
```

## Contact Note

| Property        | Type      | Description                                             |
| --------------- | --------- | ------------------------------------------------------- |
| id              | integer   | The unique id of the contact note                       |
| contactId       | integer   | The id of the contact to which the contact note belongs |
| noteText        | string    | The contact note                                        |
| createdByUserId | integer   | The details of person who created the contact note      |
| createdDate     | timestamp | The date & time the contact note was created            |
| modifiedDate    | timestamp | The date & time the contact note was last modified      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/contact/get-contact-note-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
